Databases - List By Server

取得資料庫清單。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases?api-version=2025-01-01&$skipToken={$skipToken}

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

serverName
path True

string

伺服器的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

$skipToken
query

string

回應

名稱 類型 Description
200 OK

DatabaseListResult

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Gets a list of databases configured with enclave type.
Gets a list of databases.

Gets a list of databases configured with enclave type.

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases?api-version=2025-01-01

範例回覆

{
  "value": [
    {
      "name": "testdb",
      "type": "Microsoft.Sql/servers/databases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
      "kind": "v12.0,user,vcore",
      "location": "southeastasia",
      "properties": {
        "catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
        "collation": "SQL_Latin1_General_CP1_CI_AS",
        "creationDate": "2017-06-07T04:41:33.937Z",
        "currentBackupStorageRedundancy": "Zone",
        "currentServiceObjectiveName": "BC_Gen4_2",
        "currentSku": {
          "name": "BC_Gen4",
          "capacity": 2,
          "tier": "BusinessCritical"
        },
        "databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
        "defaultSecondaryLocation": "North Europe",
        "earliestRestoreDate": "2017-06-07T04:51:33.937Z",
        "isInfraEncryptionEnabled": false,
        "isLedgerOn": false,
        "licenseType": "LicenseIncluded",
        "maxLogSizeBytes": 104857600,
        "maxSizeBytes": 268435456000,
        "preferredEnclaveType": "Default",
        "readScale": "Enabled",
        "requestedBackupStorageRedundancy": "Zone",
        "requestedServiceObjectiveName": "BC_Gen4_2",
        "status": "Online",
        "zoneRedundant": false
      },
      "sku": {
        "name": "BC_Gen4",
        "capacity": 2,
        "tier": "BusinessCritical"
      }
    },
    {
      "name": "master",
      "type": "Microsoft.Sql/servers/databases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/master",
      "kind": "v12.0,system",
      "location": "southeastasia",
      "properties": {
        "catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
        "collation": "SQL_Latin1_General_CP1_CI_AS",
        "creationDate": "2017-06-07T04:23:42.537Z",
        "currentBackupStorageRedundancy": "Local",
        "currentServiceObjectiveName": "System0",
        "currentSku": {
          "name": "System0",
          "capacity": 0,
          "tier": "System"
        },
        "databaseId": "e6be351f-2cc9-4604-9e52-b0b28b2710b0",
        "defaultSecondaryLocation": "North Europe",
        "isInfraEncryptionEnabled": false,
        "isLedgerOn": false,
        "maxSizeBytes": 32212254720,
        "preferredEnclaveType": "VBS",
        "readScale": "Disabled",
        "requestedBackupStorageRedundancy": "Local",
        "requestedServiceObjectiveName": "System0",
        "status": "Online",
        "zoneRedundant": false
      },
      "sku": {
        "name": "System0",
        "capacity": 0,
        "tier": "System"
      }
    }
  ]
}

Gets a list of databases.

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases?api-version=2025-01-01

範例回覆

{
  "value": [
    {
      "name": "testdb",
      "type": "Microsoft.Sql/servers/databases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb",
      "kind": "v12.0,user,vcore",
      "location": "southeastasia",
      "properties": {
        "catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
        "collation": "SQL_Latin1_General_CP1_CI_AS",
        "creationDate": "2017-06-07T04:41:33.937Z",
        "currentBackupStorageRedundancy": "Zone",
        "currentServiceObjectiveName": "BC_Gen4_2",
        "currentSku": {
          "name": "BC_Gen4",
          "capacity": 2,
          "tier": "BusinessCritical"
        },
        "databaseId": "6c764297-577b-470f-9af4-96d3d41e2ba3",
        "defaultSecondaryLocation": "North Europe",
        "earliestRestoreDate": "2017-06-07T04:51:33.937Z",
        "isInfraEncryptionEnabled": false,
        "isLedgerOn": false,
        "licenseType": "LicenseIncluded",
        "maxLogSizeBytes": 104857600,
        "maxSizeBytes": 268435456000,
        "readScale": "Enabled",
        "requestedBackupStorageRedundancy": "Zone",
        "requestedServiceObjectiveName": "BC_Gen4_2",
        "status": "Online",
        "zoneRedundant": false
      },
      "sku": {
        "name": "BC_Gen4",
        "capacity": 2,
        "tier": "BusinessCritical"
      }
    },
    {
      "name": "master",
      "type": "Microsoft.Sql/servers/databases",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/master",
      "kind": "v12.0,system",
      "location": "southeastasia",
      "properties": {
        "catalogCollation": "SQL_Latin1_General_CP1_CI_AS",
        "collation": "SQL_Latin1_General_CP1_CI_AS",
        "creationDate": "2017-06-07T04:23:42.537Z",
        "currentBackupStorageRedundancy": "Local",
        "currentServiceObjectiveName": "System0",
        "currentSku": {
          "name": "System0",
          "capacity": 0,
          "tier": "System"
        },
        "databaseId": "e6be351f-2cc9-4604-9e52-b0b28b2710b0",
        "defaultSecondaryLocation": "North Europe",
        "isInfraEncryptionEnabled": false,
        "isLedgerOn": false,
        "maxSizeBytes": 32212254720,
        "readScale": "Disabled",
        "requestedBackupStorageRedundancy": "Local",
        "requestedServiceObjectiveName": "System0",
        "status": "Online",
        "zoneRedundant": false
      },
      "sku": {
        "name": "System0",
        "capacity": 0,
        "tier": "System"
      }
    }
  ]
}

定義

名稱 Description
AlwaysEncryptedEnclaveType

資料庫上要求的記憶體保護區類型,也就是預設或 VBS記憶體保護區。

AvailabilityZoneType

指定資料庫釘選到的可用性區域。

BackupStorageRedundancy

用來儲存此資料庫的備份的記憶體帳戶類型。

CatalogCollationType

元資料目錄的定序。

createdByType

建立資源的身分識別類型。

CreateMode

指定資料庫建立模式。

默認值:定期建立資料庫。

複製:建立資料庫做為現有資料庫的複本。 sourceDatabaseId 必須指定為源資料庫的資源標識碼。

次要:建立資料庫做為現有資料庫的次要複本。 sourceDatabaseId 必須指定為現有主資料庫的資源標識碼。

PointInTimeRestore:藉由還原現有資料庫的時間點備份來建立資料庫。 sourceDatabaseId 必須指定為現有資料庫的資源標識符,而且必須指定 restorePointInTime。

復原:藉由還原異地復寫備份來建立資料庫。 sourceDatabaseId 必須指定為要還原的可復原資料庫資源標識符。

還原:藉由還原已刪除資料庫的備份來建立資料庫。 必須指定sourceDatabaseId。 如果 sourceDatabaseId 是資料庫的原始資源識別碼,則必須指定 sourceDatabaseDeletionDate。 否則,sourceDatabaseId 必須是可還原的卸除資料庫資源標識符,而且會忽略 sourceDatabaseDeletionDate。 restorePointInTime 也可以指定為從先前的時間點還原。

RestoreLongTermRetentionBackup:從長期保留保存庫還原來建立資料庫。 recoveryServicesRecoveryPointResourceId 必須指定為恢復點資源標識符。

DataWarehouse 版本不支援 Copy、Secondary 和 RestoreLongTermRetentionBackup。

Database

資料庫資源。

DatabaseIdentity

Azure Active Directory identity configuration for a resource.

DatabaseIdentityType

識別類型

DatabaseKey

用於待用加密的資料庫層級金鑰。

DatabaseKeyType

資料庫金鑰類型。 只有支援的值為 『AzureKeyVault』。

DatabaseLicenseType

要套用此資料庫的授權類型。 如果你需要駕照,則是LicenseIncluded;如果你有駕照且符合Azure Hybrid Benefit資格,則是BasePrice

DatabaseListResult

資料庫清單作業的回應。

DatabaseReadScale

唯讀路由的狀態。 若啟用,連接字串 中應用程式意圖為唯讀的連線,可能會被路由至同一區域內的唯讀次要副本。 不適用於彈性集區內的超大規模資料庫。

DatabaseStatus

資料庫的狀態。

DatabaseUserIdentity

Azure Active Directory identity configuration for a resource.

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

FreeLimitExhaustionBehavior

指定免費資料庫用完每月可用限制時的行為。

AutoPause:資料庫會在當月剩餘時間的可用限制用盡時自動暫停。

BillForUsage:資料庫會在免費限制用盡時繼續上線,並收取任何超額費用。

SampleName

建立這個資料庫時要套用的範例架構名稱。

SecondaryType

如果資料庫是輔助資料庫,則為次要類型。 有效值為 Geo、Named 和 Standby。

Sku

ARM 資源 SKU。

systemData

與建立和上次修改資源相關的元數據。

AlwaysEncryptedEnclaveType

資料庫上要求的記憶體保護區類型,也就是預設或 VBS記憶體保護區。

Description
Default

預設值

VBS

VBS

AvailabilityZoneType

指定資料庫釘選到的可用性區域。

Description
NoPreference

無偏好

1

1

2

2

3

3

BackupStorageRedundancy

用來儲存此資料庫的備份的記憶體帳戶類型。

Description
Geo

地理位置

Local

本地

Zone

區域

GeoZone

地理區域

CatalogCollationType

元資料目錄的定序。

Description
DATABASE_DEFAULT

DATABASE_DEFAULT

SQL_Latin1_General_CP1_CI_AS

SQL_Latin1_General_CP1_CI_AS

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

CreateMode

指定資料庫建立模式。

默認值:定期建立資料庫。

複製:建立資料庫做為現有資料庫的複本。 sourceDatabaseId 必須指定為源資料庫的資源標識碼。

次要:建立資料庫做為現有資料庫的次要複本。 sourceDatabaseId 必須指定為現有主資料庫的資源標識碼。

PointInTimeRestore:藉由還原現有資料庫的時間點備份來建立資料庫。 sourceDatabaseId 必須指定為現有資料庫的資源標識符,而且必須指定 restorePointInTime。

復原:藉由還原異地復寫備份來建立資料庫。 sourceDatabaseId 必須指定為要還原的可復原資料庫資源標識符。

還原:藉由還原已刪除資料庫的備份來建立資料庫。 必須指定sourceDatabaseId。 如果 sourceDatabaseId 是資料庫的原始資源識別碼,則必須指定 sourceDatabaseDeletionDate。 否則,sourceDatabaseId 必須是可還原的卸除資料庫資源標識符,而且會忽略 sourceDatabaseDeletionDate。 restorePointInTime 也可以指定為從先前的時間點還原。

RestoreLongTermRetentionBackup:從長期保留保存庫還原來建立資料庫。 recoveryServicesRecoveryPointResourceId 必須指定為恢復點資源標識符。

DataWarehouse 版本不支援 Copy、Secondary 和 RestoreLongTermRetentionBackup。

Description
Default

預設值

Copy

Copy

Secondary

Secondary

PointInTimeRestore

PointInTimeRestore

Restore

Restore

Recovery

Recovery

RestoreExternalBackup

RestoreExternalBackup

RestoreExternalBackupSecondary

RestoreExternalBackupSecondary

RestoreLongTermRetentionBackup

恢復長期保留備份

OnlineSecondary

線上中學

Database

資料庫資源。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

identity

DatabaseIdentity

資料庫的 Azure Active Directory 身份。

kind

string

資料庫種類。 這是用於 Azure 入口網站體驗的元資料。

location

string

資源所在的地理位置

managedBy

string

管理資料庫的資源。

name

string

資源的名稱

properties.autoPauseDelay

integer (int32)

在幾分鐘后自動暫停資料庫的時間。 -1 值表示已停用自動暫停

properties.availabilityZone

AvailabilityZoneType

指定資料庫釘選到的可用性區域。

properties.catalogCollation

CatalogCollationType

元資料目錄的定序。

properties.collation

string

資料庫的定序。

properties.createMode

CreateMode

指定資料庫建立模式。

默認值:定期建立資料庫。

複製:建立資料庫做為現有資料庫的複本。 sourceDatabaseId 必須指定為源資料庫的資源標識碼。

次要:建立資料庫做為現有資料庫的次要複本。 sourceDatabaseId 必須指定為現有主資料庫的資源標識碼。

PointInTimeRestore:藉由還原現有資料庫的時間點備份來建立資料庫。 sourceDatabaseId 必須指定為現有資料庫的資源標識符,而且必須指定 restorePointInTime。

復原:藉由還原異地復寫備份來建立資料庫。 sourceDatabaseId 必須指定為要還原的可復原資料庫資源標識符。

還原:藉由還原已刪除資料庫的備份來建立資料庫。 必須指定sourceDatabaseId。 如果 sourceDatabaseId 是資料庫的原始資源識別碼,則必須指定 sourceDatabaseDeletionDate。 否則,sourceDatabaseId 必須是可還原的卸除資料庫資源標識符,而且會忽略 sourceDatabaseDeletionDate。 restorePointInTime 也可以指定為從先前的時間點還原。

RestoreLongTermRetentionBackup:從長期保留保存庫還原來建立資料庫。 recoveryServicesRecoveryPointResourceId 必須指定為恢復點資源標識符。

DataWarehouse 版本不支援 Copy、Secondary 和 RestoreLongTermRetentionBackup。

properties.creationDate

string (date-time)

資料庫的建立日期(ISO8601格式)。

properties.currentBackupStorageRedundancy

BackupStorageRedundancy

用來儲存此資料庫的備份的記憶體帳戶類型。

properties.currentServiceObjectiveName

string

資料庫目前的服務等級目標名稱。

properties.currentSku

Sku

SKU 的名稱和層。

properties.databaseId

string (uuid)

資料庫的識別碼。

properties.defaultSecondaryLocation

string

這個資料庫的預設次要區域。

properties.earliestRestoreDate

string (date-time)

這會記錄此資料庫最早的開始日期和時間(ISO8601格式)。

properties.elasticPoolId

string (arm-id)

包含此資料庫之彈性集區的資源標識碼。

properties.encryptionProtector

string

如果資料庫已針對每個資料庫客戶管理的金鑰進行設定,則為資料庫的 Azure 金鑰保存庫 URI。

properties.encryptionProtectorAutoRotation

boolean

啟用或停用資料庫加密保護裝置 AKV 金鑰自動輪替的旗標。

properties.failoverGroupId

string

此資料庫所屬的故障轉移群組資源標識碼。

properties.federatedClientId

string (uuid)

用於每個資料庫跨租使用者的用戶端標識碼 CMK 案例

properties.freeLimitExhaustionBehavior

FreeLimitExhaustionBehavior

指定免費資料庫用完每月可用限制時的行為。

AutoPause:資料庫會在當月剩餘時間的可用限制用盡時自動暫停。

BillForUsage:資料庫會在免費限制用盡時繼續上線,並收取任何超額費用。

properties.highAvailabilityReplicaCount

integer (int32)

與用來提供高可用性的商業關鍵、進階或超大規模資料庫相關聯的次要複本數目。 不適用於彈性集區內的超大規模資料庫。

properties.isInfraEncryptionEnabled

boolean

此資料庫已啟用基礎結構加密。

properties.isLedgerOn

boolean

這個資料庫是否為總賬資料庫,這表示資料庫中的所有數據表都是總賬數據表。 注意:建立資料庫之後,就無法變更此屬性的值。

properties.keys

<string,  DatabaseKey>

要使用的使用者指派身分識別的資源標識碼

properties.licenseType

DatabaseLicenseType

要套用此資料庫的授權類型。 如果你需要駕照,則是LicenseIncluded;如果你有駕照且符合Azure Hybrid Benefit資格,則是BasePrice

properties.longTermRetentionBackupResourceId

string (arm-id)

與此資料庫建立作業相關聯的長期保留備份資源標識符。

properties.maintenanceConfigurationId

string

指派給資料庫的維護組態標識碼。 此組態會定義維護更新發生的期間。

properties.manualCutover

boolean

客戶控制手動完全移轉是否需要在更新資料庫作業期間完成超大規模資料庫層。

只有在將資料庫從業務關鍵/一般用途/進階/標準層調整為超大規模資料庫層時,才適用此屬性。

指定manualCutover時,調整作業會等候使用者輸入觸發超大規模資料庫完全移轉。

若要觸發完全移轉,請在調整作業處於等候狀態時提供 『performCutover』 參數。

properties.maxLogSizeBytes

integer (int64)

這個資料庫的記錄大小上限。

properties.maxSizeBytes

integer (int64)

以位元組表示的資料庫大小上限。

properties.minCapacity

number (double)

資料庫一律配置的最小容量,如果未暫停,則為

properties.pausedDate

string (date-time)

用戶設定或動作暫停資料庫的日期(ISO8601格式)。 如果資料庫已就緒,則為 Null。

properties.performCutover

boolean

在調整作業進行中時,觸發客戶控制的手動完全移轉。

這個屬性參數僅適用於起始與 'manualCutover' 參數一起起始的調整作業。

只有當資料庫從業務關鍵/一般用途/進階/標準層調整至超大規模資料庫層級正在進行時,才適用此屬性。

指定了performCutover時,調整作業會觸發完全移轉,並執行超大規模資料庫的角色變更。

properties.preferredEnclaveType

AlwaysEncryptedEnclaveType

資料庫上要求的記憶體保護區類型,也就是預設或 VBS記憶體保護區。

properties.readScale

DatabaseReadScale

唯讀路由的狀態。 若啟用,連接字串 中應用程式意圖為唯讀的連線,可能會被路由至同一區域內的唯讀次要副本。 不適用於彈性集區內的超大規模資料庫。

properties.recoverableDatabaseId

string (arm-id)

與此資料庫建立作業相關聯的可復原資料庫資源標識符。

properties.recoveryServicesRecoveryPointId

string (arm-id)

與此資料庫建立作業相關聯的恢復點資源標識碼。

properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

要用來儲存此資料庫的備份的記憶體帳戶類型。

properties.requestedServiceObjectiveName

string

資料庫所要求的服務等級目標名稱。

properties.restorableDroppedDatabaseId

string (arm-id)

與這個資料庫建立作業相關聯的可還原卸除資料庫資源標識符。

properties.restorePointInTime

string (date-time)

指定要還原以建立新資料庫的源資料庫的時間點(ISO8601格式)。

properties.resumedDate

string (date-time)

使用者動作或資料庫登入繼續資料庫的日期(ISO8601格式)。 如果資料庫暫停,則為 Null。

properties.sampleName

SampleName

建立這個資料庫時要套用的範例架構名稱。

properties.secondaryType

SecondaryType

如果資料庫是輔助資料庫,則為次要類型。 有效值為 Geo、Named 和 Standby。

properties.sourceDatabaseDeletionDate

string (date-time)

指定刪除資料庫的時間。

properties.sourceDatabaseId

string (arm-id)

與這個資料庫建立作業相關聯的源資料庫資源標識符。

properties.sourceResourceId

string (arm-id)

與這個資料庫建立作業相關聯的來源資源標識符。

只有 DataWarehouse 版本才支援此屬性,而且允許跨訂用帳戶還原。

指定 sourceResourceId 時,sourceDatabaseId、recoverableDatabaseId、restoreableDroppedDatabaseId 和 sourceDatabaseDeletionDate 不得指定,而 CreateMode 必須是 PointInTimeRestore、Restore 或 Recover。

當 createMode 是 PointInTimeRestore 時,sourceResourceId 必須是現有資料庫或現有 sql 集區的資源標識碼,而且必須指定 restorePointInTime。

當 createMode 為 Restore 時,sourceResourceId 必須是可還原卸除資料庫或可還原的已卸除 sql 集區的資源識別符。

當 createMode 為 Recover 時,sourceResourceId 必須是可復原資料庫或可復原 SQL 集區的資源標識碼。

當來源訂用帳戶屬於與目標訂用帳戶不同的租使用者時,“x-ms-authorization-auxiliary” 標頭必須包含來源租使用者的驗證令牌。 如需 「x-ms-authorization-auxiliary」 標頭的詳細資訊,請參閱 https://docs.microsoft.com/en-us/azure/azure-resource-manager/management/authenticate-multi-tenant

properties.status

DatabaseStatus

資料庫的狀態。

properties.useFreeLimit

boolean

資料庫是否使用免費每月限制。 在訂用帳戶中的一個資料庫上允許。

properties.zoneRedundant

boolean

此資料庫是否為區域備援,這表示此資料庫的複本會分散到多個可用性區域。

sku

Sku

資料庫 SKU。

SKU 清單可能會因區域和支援供應項目而異。 要確定在Azure區域內訂閱可用的 SKU(包括 SKU 名稱、階級/版本、家族及容量),請使用 Capabilities_ListByLocation REST API 或以下指令之一:

az sql db list-editions -l <location> -o table
Get-AzSqlServerServiceObjective -Location <location>
systemData

systemData

Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」

DatabaseIdentity

Azure Active Directory identity configuration for a resource.

名稱 類型 Description
tenantId

string (uuid)

The Azure Active Directory tenant id.

type

DatabaseIdentityType

識別類型

userAssignedIdentities

<string,  DatabaseUserIdentity>

要使用的使用者指派身分識別的資源標識碼

DatabaseIdentityType

識別類型

Description
None

沒有

UserAssigned

UserAssigned

DatabaseKey

用於待用加密的資料庫層級金鑰。

名稱 類型 Description
creationDate

string (date-time)

資料庫金鑰建立日期。

keyVersion

string

資料庫金鑰的版本。

subregion

string

伺服器索引鍵的子區域。

thumbprint

string

資料庫金鑰的指紋。

type

DatabaseKeyType

資料庫金鑰類型。 只有支援的值為 『AzureKeyVault』。

DatabaseKeyType

資料庫金鑰類型。 只有支援的值為 『AzureKeyVault』。

Description
AzureKeyVault

AzureKeyVault

DatabaseLicenseType

要套用此資料庫的授權類型。 如果你需要駕照,則是LicenseIncluded;如果你有駕照且符合Azure Hybrid Benefit資格,則是BasePrice

Description
LicenseIncluded

授權包含

BasePrice

BasePrice

DatabaseListResult

資料庫清單作業的回應。

名稱 類型 Description
nextLink

string (uri)

專案下一頁的連結

value

Database[]

此頁面上的資料庫項目

DatabaseReadScale

唯讀路由的狀態。 若啟用,連接字串 中應用程式意圖為唯讀的連線,可能會被路由至同一區域內的唯讀次要副本。 不適用於彈性集區內的超大規模資料庫。

Description
Enabled

已啟用

Disabled

Disabled

DatabaseStatus

資料庫的狀態。

Description
Online

線上

Restoring

恢復

RecoveryPending

復原擱置中

Recovering

復原

Suspect

懷疑

Offline

離線

Standby

待命中

Shutdown

關機

EmergencyMode

緊急模式

AutoClosed

自動關閉

Copying

複製

Creating

建立中

Inaccessible

無法

OfflineSecondary

離線次要

Pausing

暫停中

Paused

已暫停

Resuming

繼續中

Scaling

縮放

OfflineChangingDwPerformanceTiers

離線變更DW效能等級

OnlineChangingDwPerformanceTiers

線上變更DW效能等級

Disabled

Disabled

Stopping

停止中

Stopped

已停止

Starting

啟動中

DatabaseUserIdentity

Azure Active Directory identity configuration for a resource.

名稱 類型 Description
clientId

string (uuid)

The Azure Active Directory client id.

principalId

string (uuid)

The Azure Active Directory principal id.

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

FreeLimitExhaustionBehavior

指定免費資料庫用完每月可用限制時的行為。

AutoPause:資料庫會在當月剩餘時間的可用限制用盡時自動暫停。

BillForUsage:資料庫會在免費限制用盡時繼續上線,並收取任何超額費用。

Description
AutoPause

自動暫停

BillOverUsage

帳單過度使用(Bill OverUsage)

SampleName

建立這個資料庫時要套用的範例架構名稱。

Description
AdventureWorksLT

冒險工作LT

WideWorldImportersStd

WideWorldImportersStd

WideWorldImportersFull

WideWorldImportersFull

SecondaryType

如果資料庫是輔助資料庫,則為次要類型。 有效值為 Geo、Named 和 Standby。

Description
Geo

地理位置

Named

已命名

Standby

待命中

Sku

ARM 資源 SKU。

名稱 類型 Description
capacity

integer (int32)

特定 SKU 的容量。

family

string

如果服務有不同世代的硬體,針對相同的 SKU,則可以在這裡擷取。

name

string

SKU 的名稱,通常是字母 + 數位碼,例如 P3。

size

string

特定 SKU 的大小

tier

string

特定 SKU 的階層或版本,例如基本、進階。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。